path: /build/build/qtdbus-dev-qt-5-5.15.2+5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-qt/qtdbus:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-qt/qtdbus:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtdbus && luet-portage --dir /pkgdir/qtdbus
    dev-qt/qtdbus:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:01c625790b86c630b9037c9e20a8b07bffc83f44f8108a3c1629eb719002f10a
  package:
    name: qtdbus
    version: 5.15.2+5
    category: dev-qt-5
    use_flags:
    - -test
    requires:
    - name: ibus
      version: '>=0'
      category: app-i18n
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Qt5 module for inter-process communication over the D-Bus protocol
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-14 17:44:22.189765236 +0000 UTC m=+414.294605360
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= >=sys-apps/dbus-1.4.20 test? ( =dev-qt/qttest-5.15.2*
        )
      IUSE: debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5= >=sys-apps/dbus-1.4.20
      emerge.packages: dev-qt/qtdbus:5
      kit: qt-kit
      original.package.name: dev-qt/qtdbus
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240215
    treedir: /build/packages
  package_dir: /pkgdir/qtdbus
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 32d075fb3a9f1f50c8650c19513f1fa2597520684124026916a6298d681fa24b
compressiontype: zstd
files:
- usr/include/qt5/Gentoo/qtdbus-qconfig.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/dbus_minimal_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbus_symbols_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusabstractadaptor_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusabstractinterface_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusargument_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusconnection_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusconnectionmanager_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbuscontext_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusintegrator_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusinterface_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusintrospection_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusmessage_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusmetaobject_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusmetatype_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbuspendingcall_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusthreaddebug_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusutil_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qdbusxmlparser_p.h
- usr/include/qt5/QtDBus/5.15.12/QtDBus/private/qtdbusglobal_p.h
- usr/include/qt5/QtDBus/QDBusAbstractAdaptor
- usr/include/qt5/QtDBus/QDBusAbstractInterface
- usr/include/qt5/QtDBus/QDBusAbstractInterfaceBase
- usr/include/qt5/QtDBus/QDBusArgument
- usr/include/qt5/QtDBus/QDBusConnection
- usr/include/qt5/QtDBus/QDBusConnectionInterface
- usr/include/qt5/QtDBus/QDBusContext
- usr/include/qt5/QtDBus/QDBusError
- usr/include/qt5/QtDBus/QDBusInterface
- usr/include/qt5/QtDBus/QDBusMessage
- usr/include/qt5/QtDBus/QDBusMetaType
- usr/include/qt5/QtDBus/QDBusObjectPath
- usr/include/qt5/QtDBus/QDBusPendingCall
- usr/include/qt5/QtDBus/QDBusPendingCallWatcher
- usr/include/qt5/QtDBus/QDBusPendingReply
- usr/include/qt5/QtDBus/QDBusPendingReplyData
- usr/include/qt5/QtDBus/QDBusReply
- usr/include/qt5/QtDBus/QDBusServer
- usr/include/qt5/QtDBus/QDBusServiceWatcher
- usr/include/qt5/QtDBus/QDBusSignature
- usr/include/qt5/QtDBus/QDBusUnixFileDescriptor
- usr/include/qt5/QtDBus/QDBusVariant
- usr/include/qt5/QtDBus/QDBusVirtualObject
- usr/include/qt5/QtDBus/QtDBus
- usr/include/qt5/QtDBus/QtDBusDepends
- usr/include/qt5/QtDBus/QtDBusVersion
- usr/include/qt5/QtDBus/qdbusabstractadaptor.h
- usr/include/qt5/QtDBus/qdbusabstractinterface.h
- usr/include/qt5/QtDBus/qdbusargument.h
- usr/include/qt5/QtDBus/qdbusconnection.h
- usr/include/qt5/QtDBus/qdbusconnectioninterface.h
- usr/include/qt5/QtDBus/qdbuscontext.h
- usr/include/qt5/QtDBus/qdbuserror.h
- usr/include/qt5/QtDBus/qdbusextratypes.h
- usr/include/qt5/QtDBus/qdbusinterface.h
- usr/include/qt5/QtDBus/qdbusmacros.h
- usr/include/qt5/QtDBus/qdbusmessage.h
- usr/include/qt5/QtDBus/qdbusmetatype.h
- usr/include/qt5/QtDBus/qdbuspendingcall.h
- usr/include/qt5/QtDBus/qdbuspendingreply.h
- usr/include/qt5/QtDBus/qdbusreply.h
- usr/include/qt5/QtDBus/qdbusserver.h
- usr/include/qt5/QtDBus/qdbusservicewatcher.h
- usr/include/qt5/QtDBus/qdbusunixfiledescriptor.h
- usr/include/qt5/QtDBus/qdbusvirtualobject.h
- usr/include/qt5/QtDBus/qtdbusglobal.h
- usr/include/qt5/QtDBus/qtdbusversion.h
- usr/lib64/cmake/Qt5DBus/Qt5DBusConfig.cmake
- usr/lib64/cmake/Qt5DBus/Qt5DBusConfigExtras.cmake
- usr/lib64/cmake/Qt5DBus/Qt5DBusConfigVersion.cmake
- usr/lib64/cmake/Qt5DBus/Qt5DBusMacros.cmake
- usr/lib64/libQt5DBus.prl
- usr/lib64/libQt5DBus.so
- usr/lib64/libQt5DBus.so.5
- usr/lib64/libQt5DBus.so.5.15
- usr/lib64/libQt5DBus.so.5.15.12
- usr/lib64/pkgconfig/Qt5DBus.pc
- usr/lib64/qt5/bin/qdbuscpp2xml
- usr/lib64/qt5/bin/qdbusxml2cpp
- usr/lib64/qt5/mkspecs/gentoo/qtdbus-qconfig.pri
- usr/lib64/qt5/mkspecs/gentoo/qtdbus-qmodule.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_dbus.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_dbus_private.pri
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/BDEPEND
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/BUILD_TIME
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CATEGORY
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CBUILD
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CC
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CFLAGS
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CHOST
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CONTENTS
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/COUNTER
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/CXXFLAGS
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/DEFINED_PHASES
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/DEPEND
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/DESCRIPTION
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/EAPI
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/FEATURES
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/HOMEPAGE
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/INHERITED
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/IUSE
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/KEYWORDS
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/LDFLAGS
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/LICENSE
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/NEEDED
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/PF
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/PROVIDES
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/RDEPEND
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/REQUIRES
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/RESTRICT
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/SIZE
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/SLOT
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/USE
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/environment.bz2
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/qtdbus-5.15.2_p20240215.ebuild
- var/db/pkg/dev-qt/qtdbus-5.15.2_p20240215/repository
package_cacheimage: ""
runtime:
  name: qtdbus
  version: 5.15.2+5
  category: dev-qt-5
  use_flags:
  - -test
  requires:
  - name: dbus
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Qt5 module for inter-process communication over the D-Bus protocol
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= >=sys-apps/dbus-1.4.20 test? ( =dev-qt/qttest-5.15.2*
      )
    IUSE: debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5= >=sys-apps/dbus-1.4.20
    emerge.packages: dev-qt/qtdbus:5
    kit: qt-kit
    original.package.name: dev-qt/qtdbus
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240215
